#ifndef AST_HPP
#define AST_HPP

#include "ast4vl.hpp" // uint_bounds needed

#include <string>
#include <vector>

int vlkb_skyvertices(const std::string& pathname, const std::string& skysys_str);
int vlkb_listbounds(const std::string& skysys_str, const std::string& specsys_str, const std::string& pathname);
int header_modif_coordsys(const std::string& skysys_str, const std::string& specsys_str, const std::string& pathname);
int vlkb_overlap(const std::string& pathname, const std::string& region, std::vector<uint_bounds>& bnds);

#endif
